Subject: Re: bug#1705: 23.0.60; parallel build failure: `mh-e' was not provided

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Jan 2009 06:06:50 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 05 Jan 2009 17:21:23 -0500
> 
> >> Personally, I've hacked my Emacs so that when byte-compiling files,
> >> `require'd files get loaded from the .el in preference to the .elc file
> >> if it's more recent.
> 
> > I don't think this is TRT in general.
> 
> Neither is the preference of .elc even if it's older.

I wasn't arguing for that, I was arguing for adding dependencies to
lisp/Makefile.in.  That is always TRT.